Skip to content

Check that a contact/organization has an entitlement

Request

Returns a list of records with the specified owner_entitlement_type

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

owner_typestringrequired

The owner_entitlement_type to use to for record lookup

owner_idstringrequired

The owner_entitlement_type to use to for record lookup

type_idstringrequired

The owner_entitlement_type to use to for record lookup

Query
quantitystring

The quantity to check

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/entitlements/{tenantId}/checkEntitlement/{owner_type}/{owner_id}/{type_id}?quantity=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring